| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations
OgreRenderSystem.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreCommon.h"`
`#include "OgreRenderSystemCapabilities.h"`
`#include "OgreConfigOptionMap.h"`
`#include "OgreGpuProgram.h"`
`#include "OgrePlane.h"`
`#include "OgreHardwareVertexBuffer.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::RenderSystem
| Defines the functionality of a 3D API. More...
class | Ogre::RenderSystem::Listener
| Defines a listener on the custom events that this render system can raise. More...
struct | Ogre::RenderSystem::RenderSystemContext
| Dummy structure for render system contexts - implementing RenderSystems can extend as needed. More...

## Namespaces
| Ogre

## Typedefs
typedef std::map< uint16, DepthBufferVec > | Ogre::DepthBufferMap
typedef std::vector< DepthBuffer * > | Ogre::DepthBufferVec
typedef std::map< String, RenderTarget *> | Ogre::RenderTargetMap
typedef std::multimap< uchar, RenderTarget *> | Ogre::RenderTargetPriorityMap

## Enumerations
enum | Ogre::StencilOperation { Ogre::SOP_KEEP, Ogre::SOP_ZERO, Ogre::SOP_REPLACE, Ogre::SOP_INCREMENT, Ogre::SOP_DECREMENT, Ogre::SOP_INCREMENT_WRAP, Ogre::SOP_DECREMENT_WRAP, Ogre::SOP_INVERT }
| Enum describing the various actions which can be taken on the stencil buffer. More...
enum | Ogre::TexCoordCalcMethod { Ogre::TEXCALC_NONE, Ogre::TEXCALC_ENVIRONMENT_MAP, Ogre::TEXCALC_ENVIRONMENT_MAP_PLANAR, Ogre::TEXCALC_ENVIRONMENT_MAP_REFLECTION, Ogre::TEXCALC_ENVIRONMENT_MAP_NORMAL, Ogre::TEXCALC_PROJECTIVE_TEXTURE }
| Enum describing the ways to generate texture coordinates. More...